#include <iostream>
#include<map>
using namespace std;

map<long long,long long>vrednosti;
long long ProizvodCf(long long broj){
    long long Proizvod=1;
    while(broj!=0){
        int cifra;
        cifra=broj%10;
        Proizvod*=cifra;
        broj/=10;
    }
    return Proizvod;

}
long long Racunaj(long long n){
    long long broj=0;
    for(long long i=1;i<=n;i++){
        long long p=ProizvodCf(i);
        if(vrednosti[p]==0){
            broj++;
            vrednosti[p]++;
        }
    }
    return broj;
}
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int t;
    cin>>t;
    for(int i=0;i<t;i++){
        long long n;
        cin>>n;
        vrednosti.clear();
        cout<<Racunaj(n)<<'\n';
    }
    return 0;
}